#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-4)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Class-Data-Inheritable
Version		:	0.08
Release		:	17.0.10.rel%{?dist}
Summary		:	Inheritable, overridable class data

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
Class::Data::Inheritable is for creating accessor/mutatorsto
class data. That is, if you want to store something about your
class as a whole (instead of about a single object). This data
is then inherited by your subclasses and can be overriden.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/perl5/core_perl/Class/Data/Inheritable.pm
%{_mandir}/man3/Class::Data::Inheritable.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

